umbrello 2.35.1 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Macros | Variables
moc_packagecontentspage.cpp File Reference
`#include <memory>`
`#include "../../../../umbrello/dialogs/pages/packagecontentspage.h"`
`#include <QtCore/qbytearray.h>`
`#include <QtCore/qmetatype.h>`

## Classes
struct | qt_meta_stringdata_PackageContentsPage_t

## Macros
#define | QT_MOC_LITERAL(idx, ofs, len)

## Variables
static const qt_meta_stringdata_PackageContentsPage_t | qt_meta_stringdata_PackageContentsPage
static const uint | qt_meta_data_PackageContentsPage []

## Macro Definition Documentation

## ◆ QT_MOC_LITERAL

#define QT_MOC_LITERAL | ( |  | idx,
|  |  | ofs,
|  |  | len
| ) |  |

Value:
Q_STATIC_BYTE_ARRAY_DATA_HEADER_INITIALIZER_WITH_OFFSET(len, \
qptrdiff(offsetof(qt_meta_stringdata_PackageContentsPage_t, stringdata0) + ofs \
- idx * sizeof(QByteArrayData)) \
)
qt_meta_stringdata_PackageContentsPage_t
Definition: moc_packagecontentspage.cpp:24

## Variable Documentation

## ◆ qt_meta_data_PackageContentsPage

const uint qt_meta_data_PackageContentsPage[]
| static

Initial value:
= {
8,
0,
0, 0,
3, 14,
0, 0,
0, 0,
0, 0,
0,
0,
1, 1, 29, 2, 0x0a ,
5, 1, 32, 2, 0x0a ,
6, 1, 35, 2, 0x0a ,
QMetaType::Void, 0x80000000 | 3, 4,
QMetaType::Void, QMetaType::QPoint, 2,
QMetaType::Void, 0x80000000 | 7, 8,
0
}

## ◆ qt_meta_stringdata_PackageContentsPage

const qt_meta_stringdata_PackageContentsPage_t qt_meta_stringdata_PackageContentsPage
| static

Initial value:
= {
{
QT_MOC_LITERAL(0, 0, 19),
QT_MOC_LITERAL(1, 20, 15),
QT_MOC_LITERAL(2, 36, 0),
QT_MOC_LITERAL(3, 37, 16),
QT_MOC_LITERAL(4, 54, 4),
QT_MOC_LITERAL(5, 59, 19),
QT_MOC_LITERAL(6, 79, 17),
QT_MOC_LITERAL(7, 97, 8),
},
"PackageContentsPage\0slotDoubleClick\0"
"\0QListWidgetItem*\0item\0slotShowContextMenu\0"
"slotMenuSelection\0QAction*\0action"
}
QT_MOC_LITERAL
#define QT_MOC_LITERAL(idx, ofs, len)
Definition: moc_packagecontentspage.cpp:28